<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>Safety Car</title>
    <meta content="" name="descriptison">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="assets/img/favicon.png" rel="icon">
    <link href="assets/img/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Roboto:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
          rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/vendor/icofont/icofont.min.css" rel="stylesheet">
    <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="assets/vendor/venobox/venobox.css" rel="stylesheet">
    <link href="assets/vendor/animate.css/animate.min.css" rel="stylesheet">
    <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
    <link href="assets/vendor/owl.carousel/assets/owl.carousel.min.css" rel="stylesheet">
    <link href="assets/vendor/bootstrap-datepicker/css/bootstrap-datepicker.min.css" rel="stylesheet">

    <!-- Template Main CSS File -->
    <link href="assets/css/style.css" rel="stylesheet">

    <link href="assets/css/modal.css" rel="stylesheet">
    <!-- =======================================================
    * Template Name: Medilab - v2.0.0
    * Template URL: https://bootstrapmade.com/medilab-free-medical-bootstrap-theme/
    * Author: BootstrapMade.com
    * License: https://bootstrapmade.com/license/
    ======================================================== -->
</head>

<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Profile</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Profile</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Doctors Section ======= -->
    <section id="doctors" class="doctors">
        <div class="container">

            <div class="section-title">
                <h2>My profile</h2>
            </div>

            <div class="row d-flex justify-content-center">

                <div class="col-lg-6">
                    <div class="member d-flex align-items-start space justify-content-between">
                        <div class="pic">
                            <img th:onclick="'openModal('+${updateUserDto.getId()}+')'"
                                 th:id="'myImg-'+${updateUserDto.getId()}"
                                 th:src="${updateUserDto.getOldPictureUrl()}"
                                 style="max-width: 150px; max-height: 150px" class="img-fluid myImg" alt="">

                            <!-- The Modal -->
                            <div th:id="'myModal-'+${updateUserDto.getId()}" class="modal">
                                <span id="close" th:class="'close-'+${updateUserDto.getId()}">&times;</span>
                                <img class="modal-content"

                                     th:src="${updateUserDto.getOldPictureUrl()}" alt="picture"/>
                                <div class="caption"></div>
                            </div>
                        </div>
                        <div class="member-info">
                            <p th:text="'First name: ' + ${updateUserDto.getFirstName()}">First name</p>
                            <p th:text="'Last name: ' + ${updateUserDto.getLastName()}">Last name</p>
                            <p th:text="'Phone: ' + ${updateUserDto.getPhone()}">Phone</p>
                        </div>
                        <br>
                        <div class="member-info">
                            <a th:href="@{/profile/update/{id}(id=${updateUserDto.id})}" class="btn btn-success">
                                EDIT</a>
                            <br/>
                            <br>
                            <div th:if="${secrets.isEmpty()}">
                                <a th:href="@{/profile/add-secret-question}" class="btn btn-warning">
                                    Add secret questions</a>
                            </div>
                            <div th:if="${!secrets.isEmpty()}">
                                <a th:href="@{/profile/edit-secret-questions}" class="btn btn-success">
                                    Edit secret questions</a>
                            </div>
                            <br/>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </section><!-- End Doctors Section -->

</main><!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<div id="preloader"></div>
<a href="#" class="back-to-top"><i class="icofont-simple-up"></i></a>

<!-- Vendor JS Files -->
<script src="assets/vendor/jquery/jquery.min.js"></script>
<script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="assets/vendor/jquery.easing/jquery.easing.min.js"></script>
<script src="assets/vendor/php-email-form/validate.js"></script>
<script src="assets/vendor/venobox/venobox.min.js"></script>
<script src="assets/vendor/waypoints/jquery.waypoints.min.js"></script>
<script src="assets/vendor/counterup/counterup.min.js"></script>
<script src="assets/vendor/owl.carousel/owl.carousel.min.js"></script>
<script src="assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

<!-- Template Main JS File -->
<script src="/assets/js/main.js"></script>
<script src="/assets/js/modal.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("profile-active")
    offer.classList.add("active")
</script>

</body>

</html>